﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 312: (1 yr) VER IEEE /5520A+SC300,DMM
DATE:                  2010-07-30 10:17:28
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       279
CONFIGURATION:         Fluke 5520A (SC)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ312
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Select Channel IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#        Sub Send Command /DMM
#        Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /DMM
#        Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /DMM
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5520A+SC
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5520A+SC
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5520A+SC
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5520A+SC
#        Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5520A+SC
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Termination, feedthrough, BNC (m) - (f), 50 Ohms
#        Cable, 50 Ohm, BNC(m)-(m)
#        BNC female to double stacking banana plug, Pomona 1269
# 
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  13 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         200.1MH                      1Vpp           LS SC S  L
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V

  1.006  MATH         @ReqMetCalVersion = "7.20v"
  1.007  CALL         Sub MET/VERsion Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20v or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.018  DISP         operation as follows:
  1.018  DISP
  1.018  DISP         Push UUT front panel UTILITES button, followed by the
  1.018  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.018  DISP         "GPIB" softkey.
  1.018  DISP
  1.018  DISP         If this workstation is equipped with two GPIB cards,
  1.018  DISP         the address is unimportant, as long as it is not (0)
  1.018  DISP         zero. If only 1 GPIB card is installed, however, the
  1.018  DISP         UUT address must not conflict with those of configured
  1.018  DISP         references.
  1.018  DISP
  1.018  DISP         If necessary, depress the "Address" softkey and set
  1.018  DISP         the UUT address using the ADJUST knob.
  1.018  DISP
  1.018  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.018  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.019  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.020  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.021  DISP         The file parameter setting is: "acc_check=no"
  1.021  DISP
  1.021  DISP         For correct procedure execution, this parameter
  1.021  DISP         MUST be set to: "acc_check=yes"
  1.021  DISP
  1.021  DISP         Select "Advance" to terminate the procedure, exit
  1.021  DISP         MET/CAL®, change the initialization file parameter,
  1.021  DISP         restart MET/CAL, then restart the procedure.
  1.022  END
  1.023  ENDIF

  1.024  IEEE         *CLS;*RST

  1.025  HEAD         UUT IDENTIFICATION
  1.026  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.027  MATH         @UUT_Manufacturer = "LECROY"
  1.028  MATH         @UUT_Model        = "WJ312"
  1.029  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.030  IF           @Abort
  1.031  END
  1.032  ENDIF

  1.033  IF           @FirmwareRev < 3.06
  1.034  DISP         This procedure requires firmware version 3.06 or later.
  1.034  DISP
  1.034  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.034  DISP         firmware and installation instructions are available
  1.034  DISP         for download.
  1.035  ENDIF

  1.036  HEAD         EQUIPMENT REQUIREMENTS
  1.037  OPBR         -z Do you want to REVIEW the list of additional
  1.037  OPBR         equipment and/or accessories required?

  1.038  IF           MEM1
  1.039  DISP         - Termination, feedthrough, BNC (m) - (f), 50 Ohms
  1.040  DISP         - Cable, 50 Ohm, BNC(m)-(m)
  1.040  DISP         - BNC female to double stacking banana plug, Pomona 1269
  1.041  ENDIF

# Set the system confidence level to 95%.
  1.042  MATH         @SysConf   = 2
  1.043  MATH         @DevName   = "Fluke 5520A"
  1.044  MATH         @Bandwidth = 100E+6
  1.045  MATH         @NumChan   = 2

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       CHANNEL INPUT IMPEDANCE(CH1)
#    4.   EXTERNAL INPUT IMPEDANCE           CHANNEL INPUT IMPEDANCE(CH2)
#    5.   PEAK-PEAK NOISE LEVEL              EXTERNAL INPUT IMPEDANCE
#    6.   DC GAIN ACC(CH1)                   DC GAIN ACC(CH1)
#    7.   DC GAIN ACC(CH2)                   OFFSET ACC(CH1)
#    8.   OFFSET ACC(CH1)                    DC GAIN ACC(CH2
#    9.   OFFSET ACC(CH2)                    OFFSET ACC(CH2)
#   10.   BANDWIDTH(CH1)                     BANDWIDTH(CH1))
#   11.   BANDWIDTH(CH2)                     TRIGGER LEVEL(CH1)
#   12.   TRIGGER LEVEL(CH1)                 TIME BASE
#   13.   TRIGGER LEVEL(CH2)                 BANDWIDTH(CH2)
#   14.   TIME BASE                          TRIGGER LEVEL(CH2)

  1.046  CALL         Sub LeCroy WJ300 Self-Test IEEE

  1.047  IF           @Abort
  1.048  END
  1.049  ENDIF

  1.050  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.051  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.052  MATH         @Chan = 1
  1.053  CALL         Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /DMM
  1.054  JMPL         DC_GAIN_ACC_CH1

  1.055  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.056  MATH         @Chan = 2
  1.057  CALL         Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /DMM
  1.058  JMPL         DC_GAIN_ACC_CH2

  1.059  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.060  MATH         @Chan = 5
  1.061  CALL         Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /DMM
  1.062  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.063  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.064  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  1.065  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.066  LABEL        DC_GAIN_ACC_CH1
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5520A+SC
  1.069  JMPL         OFFSET_ACC_CH1

  1.070  LABEL        DC_GAIN_ACC_CH2
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5520A+SC
  1.073  JMPL         OFFSET_ACC_CH2

  1.074  LABEL        OFFSET_ACC_CH1
  1.075  MATH         @Chan = 1
  1.076  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5520A+SC
  1.077  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.078  LABEL        OFFSET_ACC_CH2
  1.079  MATH         @Chan = 2
  1.080  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5520A+SC

  1.081  MATH         @Chan = 1
  1.082  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5520A+SC
  1.083  JMPL         TRIGGER_LEVEL_CH1

  1.084  LABEL        BANDWIDTH_CH2
  1.085  MATH         @Chan = 2
  1.086  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5520A+SC
  1.087  JMPL         TRIGGER_LEVEL_CH2

  1.088  LABEL        TRIGGER_LEVEL_CH1
  1.089  MATH         @Chan = 1
  1.090  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5520A+SC
  1.091  JMPL         TIME_BASE

  1.092  LABEL        TRIGGER_LEVEL_CH2
  1.093  MATH         @Chan = 2
  1.094  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5520A+SC
  1.095  JMPL         END

  1.096  LABEL        TIME_BASE
  1.097  MATH         @Chan = 1
  1.098  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5520A+SC
  1.099  JMPL         BANDWIDTH_CH2

  1.100  LABEL        END
  1.101  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.102  END
