﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5520A+SC
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5520A+SC
DATE:                  2010-07-30 09:50:31
AUTHOR:                Fluke
REVISION:              $Revision: 18060 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       11
NUMBER OF LINES:       303
CONFIGURATION:         Fluke 5520A (SC)
=============================================================================
#
#  Procedure Author:
#        VY, DFM
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub LeCroy WJ300 Select Channel IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE         *CLS;*RST
  1.002  WAIT         -t 3 UUT Resetting...
  1.003  CALL         Sub LeCroy WJ300 Select Channel IEEE
  1.004  MATH         Ch = @Chan
  1.005  MATH         Std = @DevName
  1.006  MATH         Conf = @SysConf

  1.007  JMPL         DC_GAIN_ACC                   PSUBI("DC Gain Acc")
  1.008  JMPL         OFFSET_ACC                    PSUBI("Offset Acc")
  1.009  DISP         {Undefined subprocedure!}
  1.010  END

  1.011  EVAL   Increment step number

# ====================== DC Gain Accuracy ====================================

  2.001  LABEL        DC_GAIN_ACC
  2.002  HEAD         CH[V Ch] DC GAIN ACCURACY: 2 mV/div, 1 MOhm

  2.003  IF           Ch == 1
  2.004  RSLT         =
  2.005  RSLT         =DC GAIN ACCURACY (1 MOhm)
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V Ch]

  2.009  TARGET       -p
  2.010  TSET         TDESC = 2 mV/div
  2.011  IEEE         C[V Ch]:CPL DC1M
  2.012  IEEE         C[V Ch]:VDIV 2E-3
  2.013  IEEE         C[V Ch]:OFST 0
  2.014  IEEE         C[V Ch]:BWL 20M
  2.015  IEEE         ACQ AVERAGE;AVGCNT 16
  2.016  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
  2.017  IEEE         TDIV 1E-6
  2.018  IEEE         DIRM A;MSEL CH[V Ch],VMEAN;MDSP ON
  2.019  TARGET       -m
  2.020  5520         6.00mV                                         SC S
# Get the accuracy of positive output of calibrator.
  2.021  MATH         PosAcc = ACCV(Std, "Volts SC", MEM1 * 1E-3)
  2.022  WAIT         -t 3 System Settling...
  2.023  IEEE         TRMD STOP[D1000]
  2.024  IEEE         TRMD AUTO[D1000]
  2.025  IEEE         MSRA?[I]
  2.026  MATH         PosValue = MEM / 1E-3
  2.027  5520         -6.00mV                                        SC S
# Get the accuracy of negative output of calibrator.
  2.028  MATH         NegAcc = ACCV(Std, "Volts SC", MEM1 * 1E-3)
  2.029  WAIT         -t 3 System Settling...
  2.030  IEEE         TRMD STOP[D1000]
  2.031  IEEE         TRMD AUTO[D1000]
  2.032  IEEE         MSRA?[I]
  2.033  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to system confidence level.
  2.034  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
# Setup system accuracy.
  2.035  MATH         L[1] = L[1] / 1E-3
  2.036  ACC          12.00mV        L1U
  2.037  MATH         MEM = PosValue - NegValue
# DC Gain Accuracy Spec: ±(1.5% + 0.5% of FS)
  2.038  MEMCX  16    12.00mV        1.5% 0.5/

  3.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 5 mV/div, 1 MOhm
  3.002  TSET         TDESC = 5 mV/div
  3.003  IEEE         C[V Ch]:VDIV 5E-3
  3.004  TARGET       -m
  3.005  5520         15.00mV                                        SC S
  3.006  MATH         PosAcc = ACCV(Std, "Volts SC", MEM1 * 1E-3)
  3.007  WAIT         -t 3 System Settling...
  3.008  IEEE         TRMD STOP[D1000]
  3.009  IEEE         TRMD AUTO[D1000]
  3.010  IEEE         MSRA?[I]
  3.011  MATH         PosValue = MEM / 1E-3
  3.012  5520         -15.00mV                                       SC S
  3.013  MATH         NegAcc = ACCV(Std, "Volts SC", MEM1 * 1E-3)
  3.014  WAIT         -t 3 System Settling...
  3.015  IEEE         TRMD STOP[D1000]
  3.016  IEEE         TRMD AUTO[D1000]
  3.017  IEEE         MSRA?[I]
  3.018  MATH         NegValue = MEM / 1E-3
  3.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
  3.020  MATH         L[1] = L[1] / 1E-3
  3.021  ACC          30.00mV        L1U
  3.022  MATH         MEM = PosValue - NegValue
  3.023  MEMCX  40    30.00mV        1.5% 0.5/

  4.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 10 mV/div, 1 MOhm
  4.002  TSET         TDESC = 10 mV/div
  4.003  IEEE         C[V Ch]:VDIV 10E-3
  4.004  TARGET       -m
  4.005  5520         30.00mV                                        SC S
  4.006  MATH         PosAcc = ACCV(Std, "Volts SC", MEM1 * 1E-3)
  4.007  WAIT         -t 3 System Settling...
  4.008  IEEE         TRMD STOP[D1000]
  4.009  IEEE         TRMD AUTO[D1000]
  4.010  IEEE         MSRA?[I]
  4.011  MATH         PosValue = MEM / 1E-3
  4.012  5520         -30.00mV                                       SC S
  4.013  MATH         NegAcc = ACCV(Std, "Volts SC", MEM1 * 1E-3)
  4.014  WAIT         -t 3 System Settling...
  4.015  IEEE         TRMD STOP[D1000]
  4.016  IEEE         TRMD AUTO[D1000]
  4.017  IEEE         MSRA?[I]
  4.018  MATH         NegValue = MEM / 1E-3
  4.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
  4.020  MATH         L[1] = L[1] / 1E-3
  4.021  ACC          60.00mV        L1U
  4.022  MATH         MEM = PosValue - NegValue
  4.023  MEMCX  80    60.00mV        1.5% 0.5/

  5.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 100 mV/div, 1 MOhm
  5.002  TSET         TDESC = 100 mV/div
  5.003  IEEE         C[V Ch]:VDIV 0.1
  5.004  TARGET       -m
  5.005  5520         0.300V                                         SC S
  5.006  MATH         PosAcc = ACCV(Std, "Volts SC", MEM1)
  5.007  WAIT         -t 3 System Settling...
  5.008  IEEE         TRMD STOP[D1000]
  5.009  IEEE         TRMD AUTO[D1000]
  5.010  IEEE         MSRA?[I]
  5.011  MATH         PosValue = MEM
  5.012  5520         -0.300V                                        SC S
  5.013  MATH         NegAcc = ACCV(Std, "Volts SC", MEM1)
  5.014  WAIT         -t 3 System Settling...
  5.015  IEEE         TRMD STOP[D1000]
  5.016  IEEE         TRMD AUTO[D1000]
  5.017  IEEE         MSRA?[I]
  5.018  MATH         NegValue = MEM
  5.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
  5.020  ACC          0.600V         L1U
  5.021  MATH         MEM = PosValue - NegValue
  5.022  MEMCX  0.8   0.600V         1.5% 0.5/

  6.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 1 V/div, 1 MOhm
  6.002  TSET         TDESC = 1 V/div
  6.003  IEEE         C[V Ch]:VDIV 1
  6.004  TARGET       -m
  6.005  5520         3.000V                                         SC S
  6.006  MATH         PosAcc = ACCV(Std, "Volts SC", MEM1)
  6.007  WAIT         -t 3 System Settling...
  6.008  IEEE         TRMD STOP[D1000]
  6.009  IEEE         TRMD AUTO[D1000]
  6.010  IEEE         MSRA?[I]
  6.011  MATH         PosValue = MEM
  6.012  5520         -3.000V                                        SC S
  6.013  MATH         NegAcc = ACCV(Std, "Volts SC", MEM1)
  6.014  WAIT         -t 3 System Settling...
  6.015  IEEE         TRMD STOP[D1000]
  6.016  IEEE         TRMD AUTO[D1000]
  6.017  IEEE         MSRA?[I]
  6.018  MATH         NegValue = MEM
  6.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
  6.020  ACC          6.000V         L1U
  6.021  MATH         MEM = PosValue - NegValue
  6.022  MEMCX  8     6.000V         1.5% 0.5/

  7.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 10 V/div, 1 MOhm
  7.002  TSET         TDESC = 10 V/div
  7.003  IEEE         C[V Ch]:VDIV 10
  7.004  TARGET       -m
  7.005  5520         30.00V                                         SC S
  7.006  MATH         PosAcc = ACCV(Std, "Volts SC", MEM1)
  7.007  WAIT         -t 3 System Settling...
  7.008  IEEE         TRMD STOP[D1000]
  7.009  IEEE         TRMD AUTO[D1000]
  7.010  IEEE         MSRA?[I]
  7.011  MATH         PosValue = MEM
  7.012  5520         -30.00V                                        SC S
  7.013  MATH         NegAcc = ACCV(Std, "Volts SC", MEM1)
  7.014  WAIT         -t 3 System Settling...
  7.015  IEEE         TRMD STOP[D1000]
  7.016  IEEE         TRMD AUTO[D1000]
  7.017  IEEE         MSRA?[I]
  7.018  MATH         NegValue = MEM
  7.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
  7.020  ACC          60.00V         L1U
  7.021  MATH         MEM = PosValue - NegValue
  7.022  MEMCX  80    60.00V         1.5% 0.5/

  8.001  HEAD
  8.002  5520         *                                                 S
  8.003  END

  8.004  EVAL   Increment step number

# ====================== Offset Accuracy =====================================

  9.001  LABEL        OFFSET_ACC
  9.002  HEAD         CH[V Ch] OFFSET ACCURACY: 10 mV/div, 1 MOhm

  9.003  IF           @Chan == 1
  9.004  RSLT         =
  9.005  RSLT         =OFFSET ACCURACY (10 mV/div, 1 MOhm)
  9.006  ENDIF

  9.007  RSLT         =
  9.008  RSLT         =Channel [V Ch]

  9.009  TARGET       -p
  9.010  VSET         CONF = [V Conf]
  9.011  TSET         TDESC = Input -1 V, Offset +1 V
  9.012  IEEE         C[V Ch]:CPL DC1M
  9.013  IEEE         C[V Ch]:VDIV 10E-3
  9.014  IEEE         C[V Ch]:OFST 1
  9.015  IEEE         C[V Ch]:BWL 20M
  9.016  IEEE         ACQ AVERAGE;AVGCNT 16
  9.017  IEEE         TTYP EDGE;TSRC LINE;TRMD AUTO
  9.018  IEEE         TDIV 1E-6
  9.019  IEEE         DIRM A;MSEL CH[V Ch],VMEAN;MDSP ON
  9.020  TSET         CPT = 0 mV
  9.021  FMT          CPT = %.1f
  9.022  TARGET       -m
  9.023  5520         -1V                                            SC S
# Save the value of calibrator output.
  9.024  MATH         Vstd = MEM1
# Get the accuracy of offset signal.
  9.025  MATH         L[1] = ACCV(Std, "Volts SC", Vstd)
# Expand to system confidence level and convert to mV unit.
  9.026  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
# Setup system accuracy
  9.027  ACC          0.0mV          L1U
  9.028  WAIT         -t 3 System Settling...
  9.029  IEEE         TRMD STOP[D1000]
  9.030  IEEE         TRMD AUTO[D1000]
  9.031  IEEE         MSRA?[I]
# Set difference between mean value and calibrator output value as UUT
# indicated value.
  9.032  MATH         MEM = (MEM - Vstd) / 1E-3
# Offset Accuracy Spec: ±(1% + 0.5% of FS + 1 mV)
  9.033  MEMCX  80    mV             1% 0.5/ 1U

 10.001  IEEE         C[V Ch]:OFST -1
 10.002  TSET         TDESC = Input +1 V, Offset -1 V
 10.003  TSET         CPT = 0 mV
 10.004  FMT          CPT = %.1f
 10.005  TARGET       -m
 10.006  5520         1V                                             SC S
 10.007  MATH         Vstd = MEM1
 10.008  MATH         L[1] = ACCV(Std, "Volts SC", Vstd)
 10.009  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
 10.010  ACC          0.0mV          L1U
 10.011  WAIT         -t 3 System Settling...
 10.012  IEEE         TRMD STOP[D1000]
 10.013  IEEE         TRMD AUTO[D1000]
 10.014  IEEE         MSRA?[I]
 10.015  MATH         MEM = (MEM - Vstd) / 1E-3
 10.016  MEMCX  80    mV             1% 0.5/ 1U

 11.001  FMT          CPT = *
 11.002  HEAD
 11.003  5520         *                                                 S
 11.004  END
